openapi: 3.0.1
info:
  title: XTENDX REST API
  version: v1
servers:
- url: https://media10.simplex.tv/api/v1
  variables: {}
paths:
  /admin:
    post:
      operationId: save
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
      - bearerAuth: []
  /admin/update/{id}:
    post:
      operationId: update
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
      - bearerAuth: []
  /admin/{id}:
    get:
      operationId: getAdminById
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
      - bearerAuth: []
    delete:
      operationId: delete
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /audit/default-setting/profile/{id}:
    get:
      operationId: getDefaultSettingAudByProfile
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DefaultSettingAudDto'
      security:
      - bearerAuth: []
  /audit/encoder-setting/profile/{id}:
    get:
      operationId: getEncoderSettingAudByProfile
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EncoderSettingAudDto'
      security:
      - bearerAuth: []
  /audit/player-setting/profile/{id}:
    get:
      operationId: getPlayerSettingAudByUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlayerSettingAudDto'
      security:
      - bearerAuth: []
  /audit/presentation-setting/profile/{id}:
    get:
      operationId: getPresentationSettingByUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PresentationSettingAudDto'
      security:
      - bearerAuth: []
  /audit/profile/users/{id}:
    get:
      operationId: getProfileAudByUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProfileAudDto'
      security:
      - bearerAuth: []
  /audit/projects/{id}:
    get:
      operationId: getProjectHistory
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectAuditDto'
      security:
      - bearerAuth: []
  /audit/registration-forms/owner/{id}:
    get:
      operationId: getRegistrationFormsHistory
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RegistrationFormsAuditDto'
      security:
      - bearerAuth: []
  /audit/registration-forms/{id}/fields:
    get:
      operationId: getRegistrationFormFieldsHistory
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RegistrationFormsFieldsAuditDto'
      security:
      - bearerAuth: []
  /audit/special-configurations/data/owner/{id}:
    get:
      operationId: getSpecialConfigurationDataHistory
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SpecialConfigurationDataAuditDto'
      security:
      - bearerAuth: []
  /audit/users/{id}:
    get:
      operationId: getUserHistory
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LoginAuditDto'
      security:
      - bearerAuth: []
  /auth/email/project/{projectId}:
    post:
      operationId: sendEmail
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProjectAuthDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /auth/isAllowed/{projectId}:
    get:
      operationId: isAllowedMultiFactor
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /auth/project/{projectId}/validation/{code}:
    post:
      operationId: isValidCode
      parameters:
      - name: code
        in: path
        required: true
        schema:
          type: string
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProjectAuthDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /billing:
    post:
      operationId: getContracts
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContractsFilter'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContractsDto'
      security:
      - bearerAuth: []
  /billing/alert:
    put:
      operationId: updateAlertConfiguration
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlertUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlertDto'
      security:
      - bearerAuth: []
    post:
      operationId: createAlertConfiguration
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlertCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlertDto'
      security:
      - bearerAuth: []
  /billing/alert/default/template/configuration:
    get:
      operationId: getAlertDefaultTemplateConfiguration
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TriggerTemplateDto'
      security:
      - bearerAuth: []
    put:
      operationId: updateDefaultTriggerTemplate
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerTemplateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerTemplateDto'
      security:
      - bearerAuth: []
    post:
      operationId: createAlertDefaultTemplate
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerTemplateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerTemplateDto'
      security:
      - bearerAuth: []
  /billing/alert/owner/{ownerId}:
    get:
      operationId: getAlertConfigurationByOwner
      parameters:
      - name: ownerId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlertDto'
      security:
      - bearerAuth: []
  /billing/contract:
    put:
      operationId: updateContract
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContractUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDto'
      security:
      - bearerAuth: []
    post:
      operationId: createContract
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContractCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDto'
      security:
      - bearerAuth: []
  /billing/contract/owner:
    post:
      operationId: getContractsByOwners
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContractUserFilterDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserContractDto'
      security:
      - bearerAuth: []
  /billing/contract/owner/{ownerId}:
    get:
      operationId: getContractsByOwnerId
      parameters:
      - name: ownerId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserContractDto'
      security:
      - bearerAuth: []
  /channels:
    get:
      operationId: getAllChannels
      parameters:
      - name: enabled
        in: query
        schema:
          type: boolean
      - name: ownerId
        in: query
        schema:
          type: integer
          format: int32
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoChannelDto'
      security:
      - bearerAuth: []
    post:
      operationId: createChannel
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChannelCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelDto'
      security:
      - bearerAuth: []
  /channels/{id}:
    get:
      operationId: getChannel
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelDto'
      security:
      - bearerAuth: []
    post:
      operationId: updateChannel
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChannelUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelDto'
      security:
      - bearerAuth: []
    delete:
      operationId: deleteChannel
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /channels/{id}/projects:
    get:
      operationId: getProjectsByChannel
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoProjectLiteDto'
      security:
      - bearerAuth: []
  /chat/history:
    get:
      operationId: getChatHistory
      parameters:
      - name: projectId
        in: query
        required: true
        schema:
          type: integer
          format: int32
      - name: text
        in: query
        schema:
          type: string
      - name: userId
        in: query
        schema:
          type: string
      - name: state
        in: query
        schema:
          type: string
          enum:
          - NEW
          - APPROVED
          - REJECTED
      - name: beforeMessageId
        in: query
        schema:
          type: string
      - name: maxMessages
        in: query
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChatMessage'
  /chat/users/{projectId}:
    get:
      operationId: getChatUsers
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: name
        in: query
        schema:
          type: string
      - name: limit
        in: query
        schema:
          type: integer
          format: int32
          default: 32767
      - name: active
        in: query
        schema:
          type: boolean
          default: true
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModeratorChatUserResponseDto'
  /dictionaries/countries:
    get:
      operationId: getCountries
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CountryDto'
  /dictionaries/languages:
    get:
      operationId: getLanguages
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LanguageDto'
  /document/upload/auth/download/{projectId}:
    post:
      operationId: downloadAuthDocument
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadAuthDTO'
      security:
      - bearerAuth: []
  /document/upload/auth/{projectId}:
    get:
      operationId: validateAuthDocument
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: boolean
      security:
      - bearerAuth: []
    post:
      operationId: uploadAuthDocument
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              type: object
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /document/upload/registration-form/{projectId}:
    post:
      operationId: uploadRegistrationDocument
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              type: object
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: boolean
      security:
      - bearerAuth: []
  /documents/generation/allowed:
    get:
      operationId: isDocumentGenerationAllowed
      parameters: []
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: boolean
      security:
      - bearerAuth: []
  /documents/project/{projectId}:
    post:
      operationId: generateDocuments
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RegistrationReportRequest'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /documents/project/{projectId}/requests:
    post:
      operationId: createDocumentGenerationRequests
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /documents/templates:
    get:
      operationId: getTemplates
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateDTO'
      security:
      - bearerAuth: []
  /domain:
    post:
      operationId: addDomainToProject
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectDomainDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDomainDto'
  /domain/project/{projectId}:
    get:
      operationId: getDomainsList
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectDomainDto'
    delete:
      operationId: removeDomainFromProject
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: replaceAll
        in: query
        schema:
          type: boolean
          default: false
      - name: name
        in: query
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /events/filter:
    post:
      operationId: getEvents
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventFilterDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EventDto'
  /files/{projectId}/posterframe:
    delete:
      operationId: deletePosterframe
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEntityObject'
  /heartbeat/{projectId}/check:
    post:
      operationId: checkHeartBeat
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProjectAuthDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /link:
    get:
      operationId: getLink
      parameters:
      - name: id
        in: query
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            text/plain:
              schema:
                type: string
      security:
      - bearerAuth: []
  /link/all:
    get:
      operationId: getAllLinks
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
      - bearerAuth: []
  /link/decode:
    get:
      operationId: getDecodedLink
      parameters:
      - name: replacedLink
        in: query
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/plain:
              schema:
                type: string
      security:
      - bearerAuth: []
  /link/mask:
    get:
      operationId: getMask
      parameters:
      - name: id
        in: query
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            text/plain:
              schema:
                type: string
      security:
      - bearerAuth: []
  /meeting:
    post:
      operationId: createMeeting
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/MeetingCreateRequestDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /meeting/close:
    put:
      operationId: closeMeeting
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/MeetingCloseRequestDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /meeting/project/{projectId}:
    get:
      operationId: getMeetings
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MeetingDto'
      security:
      - bearerAuth: []
  /meeting/projects:
    get:
      operationId: getAuthorProjects
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MeetingProjectDto'
      security:
      - bearerAuth: []
    post:
      operationId: createProject
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/MeetingProjectCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeetingProjectDto'
      security:
      - bearerAuth: []
  /players/user/{userId}:
    get:
      operationId: getPlayers
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlayerDto'
    post:
      operationId: installPlayer
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /players/{playerId}/user/{userId}:
    delete:
      operationId: deletePlayer
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: playerId
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /polls:
    post:
      operationId: createPollWithoutActivation
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PollCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PollMessageDto'
  /polls/active/projects/{projectId}:
    post:
      operationId: activatePoll
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PollActivationDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /polls/inactive/projects/{projectId}:
    post:
      operationId: deactivatePoll
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PollActivationDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /polls/projects/{projectId}:
    get:
      operationId: getPollMessages
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PollMessageDto'
    put:
      operationId: updatePoll
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PollUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /polls/results/invalidation:
    put:
      operationId: cleanUpPollResults
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PollInvalidationDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /polls/results/publication:
    post:
      operationId: publishPollResults
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShowPollsResultsDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /polls/{pollId}/projects/{projectId}:
    get:
      operationId: getPoll
      parameters:
      - name: pollId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PollMessageDto'
    delete:
      operationId: deletePollWithAllVotes
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: pollId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /polls/{pollId}/projects/{projectId}/vote/result:
    post:
      operationId: downloadVoteReport
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: pollId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: {}
  /presentation/project/{projectId}:
    get:
      operationId: getPresentationsByProject
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Presentation'
    post:
      operationId: convertPresentation
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationConversionJobDto'
  /presentation/project/{projectId}/hidden/slides:
    put:
      operationId: toggleSlide
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SlideDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /presentation/project/{projectId}/timeline:
    post:
      operationId: createPresentationTimeline
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              type: array
              items:
                $ref: '#/components/schemas/PresentationTimelineDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: boolean
  /presentation/selected:
    post:
      operationId: selectSlide
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/SelectedSlideDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /presentation/selected/project/{projectId}:
    get:
      operationId: getSelectedPresentation
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelectedPresentationDto'
  /presentation/state/{conversionJobId}:
    get:
      operationId: checkPresentationConversionState
      parameters:
      - name: conversionJobId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: string
                enum:
                - IN_PROGRESS
                - DONE
                - FAILED
  /presentation/{presentationId}/project/{projectId}:
    delete:
      operationId: deletePresentationById
      parameters:
      - name: presentationId
        in: path
        required: true
        schema:
          type: string
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /presentation/{presentationId}/project/{projectId}/slides:
    get:
      operationId: getPresentationSlidesList
      parameters:
      - name: presentationId
        in: path
        required: true
        schema:
          type: string
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectFileSlideDto'
  /profiles:
    put:
      operationId: updateProfile
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProfileDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileDto'
      security:
      - bearerAuth: []
    post:
      operationId: createProfile
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProfileDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileDto'
      security:
      - bearerAuth: []
  /profiles/default/{profileId}/user/{userId}:
    put:
      operationId: assignDefaultProfile
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /profiles/user/{userId}:
    get:
      operationId: getUserProfiles
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserProfilesDto'
      security:
      - bearerAuth: []
  /profiles/{id}/projects:
    get:
      operationId: getProjectsByProfile
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: text
        in: query
        schema:
          type: string
      - name: minCreatedDate
        in: query
        description: 'Minimum project creation date, format: date-time ( yyyy-MM-ddTHH:mm:ss.SSSZ
          e.g. 2019-12-31T12:00:00.000Z )'
        schema:
          type: string
          format: date-time
      - name: maxCreatedDate
        in: query
        description: 'Maximum project creation date, format: date-time ( yyyy-MM-ddTHH:mm:ss.SSSZ
          e.g. 2019-12-31T12:00:00.000Z )'
        schema:
          type: string
          format: date-time
      - name: state
        in: query
        schema:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
      - name: states
        in: query
        schema:
          type: array
          items:
            type: string
            enum:
            - ONDEMAND
            - PREVIEW
            - LIVE
            - POSTLIVE
            - DELETED
      - name: enabled
        in: query
        schema:
          type: boolean
      - name: authorId
        in: query
        schema:
          type: integer
          format: int32
      - name: customerId
        in: query
        schema:
          type: integer
          format: int32
      - name: profileId
        in: query
        schema:
          type: integer
          format: int32
      - name: deleted
        in: query
        schema:
          type: integer
          format: int32
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoProjectLiteDto'
      security:
      - bearerAuth: []
    post:
      operationId: createProject_1
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDto'
      security:
      - bearerAuth: []
  /profiles/{profileId}:
    get:
      operationId: getProfile
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileDto'
      security:
      - bearerAuth: []
    delete:
      operationId: deleteProfile
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /profiles/{profileId}/duplicate/owner/{ownerId}:
    post:
      operationId: duplicateProfile
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: ownerId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileDto'
      security:
      - bearerAuth: []
  /profiles/{profileId}/theme:
    delete:
      operationId: setOffTheme
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /profiles/{profileId}/theme/{themeId}:
    put:
      operationId: assignTheme
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: themeId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /profiles/{profileId}/user/{userId}/logo:
    post:
      operationId: savePlayerLogo
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
    delete:
      operationId: deletePlayerLogo
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /profiles/{profileId}/user/{userId}/posterframe:
    post:
      operationId: savePosterframe
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
    delete:
      operationId: deletePosterframe_1
      parameters:
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /projects:
    get:
      operationId: getAllProjects
      parameters:
      - name: text
        in: query
        schema:
          type: string
      - name: minCreatedDate
        in: query
        description: 'Minimum project creation date, format: date-time ( yyyy-MM-ddTHH:mm:ss.SSSZ
          e.g. 2019-12-31T12:00:00.000Z )'
        schema:
          type: string
          format: date-time
      - name: maxCreatedDate
        in: query
        description: 'Maximum project creation date, format: date-time ( yyyy-MM-ddTHH:mm:ss.SSSZ
          e.g. 2019-12-31T12:00:00.000Z )'
        schema:
          type: string
          format: date-time
      - name: state
        in: query
        schema:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
      - name: states
        in: query
        schema:
          type: array
          items:
            type: string
            enum:
            - ONDEMAND
            - PREVIEW
            - LIVE
            - POSTLIVE
            - DELETED
      - name: enabled
        in: query
        schema:
          type: boolean
      - name: authorId
        in: query
        schema:
          type: integer
          format: int32
      - name: customerId
        in: query
        schema:
          type: integer
          format: int32
      - name: profileId
        in: query
        schema:
          type: integer
          format: int32
      - name: deleted
        in: query
        schema:
          type: integer
          format: int32
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoProjectLiteDto'
      security:
      - bearerAuth: []
    post:
      operationId: createProjectInDefaultProfile
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDto'
      security:
      - bearerAuth: []
  /projects/authentication/{id}:
    post:
      operationId: loginAuthHash
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AaaParams'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /projects/bulk:
    delete:
      operationId: deleteBulkProjects
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDeleteDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkDeletedResult'
      security:
      - bearerAuth: []
  /projects/form/{formId}/owner/{ownerId}:
    get:
      operationId: getAllByFormAndOwner
      parameters:
      - name: ownerId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: formId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectLiteDto'
      security:
      - bearerAuth: []
  /projects/recalculate/size:
    put:
      operationId: recalculateSize
      parameters: []
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /projects/{id}:
    get:
      operationId: getProject
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDto'
      security:
      - bearerAuth: []
    post:
      operationId: updateProject
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDto'
      security:
      - bearerAuth: []
    delete:
      operationId: deleteProject
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /projects/{id}/attachments:
    get:
      operationId: getAttachmentsByProject
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AttachmentDto'
      security:
      - bearerAuth: []
    delete:
      operationId: removeAllAttachments
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: boolean
      security:
      - bearerAuth: []
  /projects/{id}/attachments/link:
    post:
      operationId: createLinkAttachment
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/LinkAttachmentDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachmentDto'
      security:
      - bearerAuth: []
  /projects/{id}/attachments/upload:
    post:
      operationId: uploadAttachment
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: filename
        in: query
        schema:
          type: string
      requestBody:
        content:
          '*/*':
            schema:
              type: object
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachmentDto'
      security:
      - bearerAuth: []
  /projects/{id}/attachments/{attachmentId}:
    delete:
      operationId: removeAttachment
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: attachmentId
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: boolean
      security:
      - bearerAuth: []
  /projects/{id}/auth:
    get:
      operationId: getProjectAuthHash
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAuthHashDto'
      security:
      - bearerAuth: []
    post:
      operationId: generateProjectAuthHash
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectAuthDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAuthHashDto'
      security:
      - bearerAuth: []
  /projects/{id}/auth/logout:
    post:
      operationId: logoutSingleAuth
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProjectAuthHashDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /projects/{id}/auth/users:
    get:
      operationId: getUsers
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AuthSchemeDTO'
      security:
      - bearerAuth: []
  /projects/{id}/auth/{email}:
    post:
      operationId: generateProjectAuthHashForMultiFactor
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: email
        in: path
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectAuthDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAuthHashDto'
      security:
      - bearerAuth: []
  /projects/{id}/channels:
    get:
      operationId: getChannelsByProject
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: enabled
        in: query
        schema:
          type: boolean
      - name: ownerId
        in: query
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChannelDto'
      security:
      - bearerAuth: []
  /projects/{id}/channels/{channelId}:
    post:
      operationId: addProjectToChannel
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: channelId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
    delete:
      operationId: removeProjectFromChannel
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: channelId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /projects/{id}/chat/messages:
    get:
      operationId: getChatMessages
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserChatMessageDto'
            text/csv:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserChatMessageDto'
      security:
      - bearerAuth: []
    delete:
      operationId: deleteChatMessages
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /projects/{id}/chat/users:
    get:
      operationId: getChatUsers_1
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: from
        in: query
        schema:
          type: string
          default: 1970-01-01T00:00:00Z
      - name: to
        in: query
        schema:
          type: string
          default: 2100-01-01T00:00:00Z
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserChatSessionDto'
            text/csv:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserChatSessionDto'
      security:
      - bearerAuth: []
  /projects/{id}/control:
    get:
      operationId: getProjectControl
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectControlDto'
      security:
      - bearerAuth: []
    post:
      operationId: updateProjectControl
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectControlUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectControlDto'
      security:
      - bearerAuth: []
  /projects/{id}/profile:
    get:
      operationId: getProjectProfile
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileLiteDto'
      security:
      - bearerAuth: []
  /projects/{id}/stream:
    get:
      operationId: getProjectStreamProperties
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RtmpStreamPropertiesDto'
      security:
      - bearerAuth: []
  /projects/{id}/subtitles:
    get:
      operationId: getProjectSubtitles
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubtitleDescriptionDto'
      security:
      - bearerAuth: []
    post:
      operationId: addProjectSubtitle
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubtitleCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubtitleDescriptionDto'
      security:
      - bearerAuth: []
  /projects/{id}/subtitles/{subtitleId}:
    get:
      operationId: getProjectSubtitle
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: subtitleId
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubtitleDto'
            text/vtt:
              schema:
                $ref: '#/components/schemas/SubtitleDto'
            text/srt:
              schema:
                $ref: '#/components/schemas/SubtitleDto'
      security:
      - bearerAuth: []
    delete:
      operationId: deleteProjectSubtitle
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: subtitleId
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /projects/{projectId}/authentication/sat:
    get:
      operationId: getSatToken
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
      security:
      - bearerAuth: []
  /projects/{projectId}/copy:
    post:
      operationId: copyProject
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDto'
  /projects/{projectId}/copy/{profileId}:
    post:
      operationId: copyProject_1
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: profileId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDto'
  /projects/{projectId}/custom/posterframe:
    post:
      operationId: saveCustomPosterFrame
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              type: object
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /projects/{projectId}/files:
    get:
      operationId: getProjectFilesList
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectFileDto'
      security:
      - bearerAuth: []
  /projects/{projectId}/files/{filename}:
    delete:
      operationId: deleteProjectFile
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: filename
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /projects/{projectId}/previewposter:
    delete:
      operationId: deletePreviewPoster
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              type: object
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: boolean
      security:
      - bearerAuth: []
  /projects/{projectId}/state/history:
    get:
      operationId: getProjectStateHistory
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectStateHistoDto'
      security:
      - bearerAuth: []
  /public/channels:
    get:
      operationId: getPublicChannels
      parameters:
      - name: authorId
        in: query
        description: 'Author ID, mandatory; example: 123'
        schema:
          type: integer
          format: int32
        example: 123
      - name: customerId
        in: query
        description: 'Customer ID, mandatory; example: 123'
        required: true
        schema:
          type: integer
          format: int32
        example: 123
      - name: channelIds
        in: query
        description: 'Channel IDs, multiple allowed; example: channelIds=1&channelIds=2'
        schema:
          type: array
          items:
            type: integer
            format: int32
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoPublicChannelDto'
  /public/projects:
    get:
      operationId: getPublicProjects
      parameters:
      - name: customerId
        in: query
        description: 'Customer ID, mandatory; example: 123'
        required: true
        schema:
          type: integer
          format: int32
        example: 123
      - name: authorId
        in: query
        description: 'Author ID, optional; example: 123'
        schema:
          type: integer
          format: int32
      - name: projectId
        in: query
        description: 'Project ID, optional; example: 123'
        schema:
          type: integer
          format: int32
      - name: channelIds
        in: query
        description: 'Channel IDs, multiple allowed; example: channelIds=1&channelIds=2'
        schema:
          type: array
          items:
            type: integer
            format: int32
      - name: text
        in: query
        description: 'Fulltext search in title, description, keyWords, details; example:
          simplex'
        schema:
          type: string
      - name: state
        in: query
        description: State only in (ONDEMAND, PREVIEW, LIVE, POSTLIVE); example = ONDEMAND
        schema:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
      - name: minCreatedDate
        in: query
        description: Minimum project creation date, format date-time ( yyyy-MM-ddTHH:mm:ss.SSSZ e.g. 2019-12-31T12:00:00.000Z )
        schema:
          type: string
          format: date-time
      - name: maxCreatedDate
        in: query
        description: Maximum project creation date, format date-time ( yyyy-MM-ddTHH:mm:ss.SSSZ e.g. 2019-12-31T12:00:00.000Z )
        schema:
          type: string
          format: date-time
      - name: deleted
        in: query
        schema:
          type: integer
          format: int32
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicProjectPageDtoPublicProjectDtoPublicChannelDto'
  /public/projects/{id}/cdn/property:
    get:
      operationId: getCdnConfiguration
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpecialConfigurationDataDto'
  /public/projects/{id}/config:
    get:
      operationId: getProjectConfiguration
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigurationDto'
  /public/registration-forms/project/{projectId}/answer:
    post:
      operationId: saveFormAnswer
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                type: string
        required: true
      responses:
        default:
          description: default response
          content:
            text/plain:
              schema:
                type: string
  /public/registration-forms/project/{projectId}/answer/id:
    post:
      operationId: getFormAnswerId
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          text/plain:
            schema:
              type: string
        required: true
      responses:
        default:
          description: default response
          content:
            text/plain:
              schema:
                type: string
  /public/users/token:
    post:
      operationId: getLongUserToken
      parameters:
      - name: X-API-KEY
        in: header
        schema:
          type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/UserCredentialsDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /recording/project/{projectId}/pause:
    post:
      operationId: pauseRecording
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: Referer
        in: header
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordingTokenDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordingStatusDto'
      security:
      - bearerAuth: []
  /recording/project/{projectId}/resume:
    post:
      operationId: resumeRecording
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: Referer
        in: header
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordingTokenDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordingStatusDto'
      security:
      - bearerAuth: []
  /recording/project/{projectId}/start:
    post:
      operationId: startRecording
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: Referer
        in: header
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordingTokenDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordingStatusDto'
      security:
      - bearerAuth: []
  /recording/project/{projectId}/status:
    get:
      operationId: getRecordingStatus
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: Referer
        in: header
        schema:
          type: string
      - name: Authorization
        in: header
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordingStatusDto'
      security:
      - bearerAuth: []
  /recording/project/{projectId}/stop:
    post:
      operationId: stopRecording
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: Referer
        in: header
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordingTokenDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordingStatusDto'
      security:
      - bearerAuth: []
  /recording/project/{projectId}/update:
    post:
      operationId: updateRecordingToken
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: Referer
        in: header
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordingTokenDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordingStatusDto'
      security:
      - bearerAuth: []
  /recording/project/{projectId}/uploading:
    get:
      operationId: getUploadingStates
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: Referer
        in: header
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadingStates'
      security:
      - bearerAuth: []
  /registration-forms:
    put:
      operationId: updateForm
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RegistrationFormDto'
        required: true
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationFormDto'
      security:
      - bearerAuth: []
    post:
      operationId: createForm
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RegistrationFormDto'
        required: true
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationFormDto'
      security:
      - bearerAuth: []
  /registration-forms/project/{projectId}:
    get:
      operationId: getAssignedForm
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssignedRegistrationFormDto'
      security:
      - bearerAuth: []
    delete:
      operationId: unassignForm
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /registration-forms/project/{projectId}/answer:
    post:
      operationId: saveFormAnswer_1
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                type: string
        required: true
      responses:
        default:
          description: default response
          content:
            text/plain:
              schema:
                type: string
      security:
      - bearerAuth: []
  /registration-forms/project/{projectId}/answer/id:
    post:
      operationId: getFormAnswerId_1
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          text/plain:
            schema:
              type: string
        required: true
      responses:
        default:
          description: default response
          content:
            text/plain:
              schema:
                type: string
      security:
      - bearerAuth: []
  /registration-forms/project/{projectId}/data:
    delete:
      operationId: deleteFormDataForProject
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /registration-forms/project/{projectId}/report:
    post:
      operationId: downloadReport
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RegistrationReportRequest'
      responses:
        default:
          description: default response
          content:
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: {}
      security:
      - bearerAuth: []
  /registration-forms/project/{projectId}/report/doc/percentage:
    post:
      operationId: downloadReportCountPersonsByPercentage
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RegistrationReportRequest'
      responses:
        default:
          description: default response
          content:
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: {}
      security:
      - bearerAuth: []
  /registration-forms/project/{projectId}/report/percentage:
    post:
      operationId: getReportCountPersonsByPercentage
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RegistrationReportRequest'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /registration-forms/user/{userId}:
    get:
      operationId: getAvailableForms
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                uniqueItems: true
                type: array
                items:
                  $ref: '#/components/schemas/RegistrationFormDto'
      security:
      - bearerAuth: []
  /registration-forms/user/{userId}/assigned:
    get:
      operationId: getAssigned
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectRegistrationFormDto'
      security:
      - bearerAuth: []
  /registration-forms/{formId}:
    delete:
      operationId: deleteForm
      parameters:
      - name: formId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /registration-forms/{formId}/project/{projectId}:
    post:
      operationId: assignForm
      parameters:
      - name: formId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /reports/concurrent-users/{customerId}:
    get:
      operationId: getConcurrentUsersReport
      parameters:
      - name: customerId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: dateFrom
        in: query
        schema:
          type: string
      - name: dateTo
        in: query
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/vnd.ms-excel: {}
      security:
      - bearerAuth: []
  /reports/registration-forms:
    post:
      operationId: generateReport
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RegistrationFormCsvJobCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationFormCsvJobDto'
      security:
      - bearerAuth: []
  /reports/registration-forms/{jobId}:
    get:
      operationId: getJobStatus
      parameters:
      - name: jobId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: string
                enum:
                - IN_PROGRESS
                - DONE
                - ABSENT
                - NOT_STARTED
                - FAILED
      security:
      - bearerAuth: []
  /saml/hosts/{id}:
    delete:
      operationId: removeSamlHost
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /saml/idp:
    get:
      operationId: getSamlIdPList
      parameters:
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoSamlIdPDto'
      security:
      - bearerAuth: []
    post:
      operationId: createSamlIdP
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SamlIdPCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SamlIdPDto'
      security:
      - bearerAuth: []
  /saml/idp/{id}:
    put:
      operationId: updateSamlIdP
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SamlIdPUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SamlIdPDto'
      security:
      - bearerAuth: []
    delete:
      operationId: removeSamlIdP
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /saml/idp/{id}/hosts:
    post:
      operationId: createHost
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SamlHostCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SamlHostDto'
      security:
      - bearerAuth: []
  /saml/users:
    get:
      operationId: getSamlUserList
      parameters:
      - name: customerId
        in: query
        schema:
          type: integer
          format: int32
      - name: samlIdpId
        in: query
        schema:
          type: integer
          format: int64
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoSamlUserDto'
      security:
      - bearerAuth: []
    post:
      operationId: createSamlUser
      parameters: []
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/SamlUserCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SamlUserDto'
      security:
      - bearerAuth: []
  /saml/users/{id}:
    delete:
      operationId: removeSamlUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /saml/users/{id}/authors/{authorId}:
    post:
      operationId: addUserToSamlUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      - name: authorId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: boolean
      security:
      - bearerAuth: []
    delete:
      operationId: removeUserFromSamlUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      - name: authorId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: boolean
      security:
      - bearerAuth: []
  /sid/project/{id}/data:
    get:
      operationId: getProjectSidData
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlayerDataDto'
  /speakers/select/{projectId}:
    put:
      operationId: selectSpeaker
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SpeakerDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /speakers/{projectId}:
    get:
      operationId: getSpeakers
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SpeakerDto'
      security:
      - bearerAuth: []
    put:
      operationId: updateSpeaker
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SpeakerDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
    post:
      operationId: createSpeaker
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SpeakerDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpeakerDto'
      security:
      - bearerAuth: []
  /speakers/{projectId}/{speakerId}:
    delete:
      operationId: deleteSpeaker
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: speakerId
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /special-configurations/user/{userId}:
    get:
      operationId: getSpecialConfigurations
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SpecialConfigurationDataDto'
    put:
      operationId: updateSpecialConfigurations
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              type: array
              items:
                $ref: '#/components/schemas/SpecialConfigurationUpdateDto'
        required: true
      responses:
        default:
          description: default response
          content:
            application/json: {}
    delete:
      operationId: deleteSpecialConfigurations
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /special-configurations/user/{userId}/editor:
    get:
      operationId: getEditorLicenses
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LicenseDto'
  /special-configurations/user/{userId}/studio:
    get:
      operationId: getStudioLicenses
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LicenseDto'
  /stream/monitoring:
    post:
      operationId: getStreams
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StreamMonitoringFilterDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/StreamMonitoringDto'
  /stream/srt/project:
    get:
      operationId: getAllSrtAddresses
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectSrtStreamPropertiesDto'
      security:
      - bearerAuth: []
  /stream/srt/project/filename/{filename}:
    get:
      operationId: getProjectSrtAddressByFilename
      parameters:
      - name: filename
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectSrtStreamPropertiesDto'
      security:
      - bearerAuth: []
  /stream/srt/project/{id}:
    get:
      operationId: getSrtStreamAddress
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SrtStreamPropertiesDto'
      security:
      - bearerAuth: []
    put:
      operationId: reassignSrtStreamAddress
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          '*/*':
            schema:
              type: string
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
    post:
      operationId: createSrtStream
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SrtStreamPropertiesDto'
      security:
      - bearerAuth: []
  /stream/srt/shared/user/{userId}:
    get:
      operationId: getSharedSrtAddress
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SharedSrtStreamAddress'
      security:
      - bearerAuth: []
  /stream/webrtc/status/project/{projectId}:
    get:
      operationId: getWebrtcProjectStatus
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebRtcProjectStatusDto'
    put:
      operationId: toggleWebRtcOnProject
      parameters:
      - name: projectId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /studio/configuration/user/{userId}:
    get:
      operationId: getUserStudioConfiguration
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StudioConfigDto'
      security:
      - bearerAuth: []
  /themes:
    get:
      operationId: getAllThemesByOwner
      parameters:
      - name: ownerId
        in: query
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ThemeDto'
      security:
      - bearerAuth: []
    post:
      operationId: createTheme
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThemeCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemeDto'
      security:
      - bearerAuth: []
  /themes/customization:
    put:
      operationId: updateThemePropertyData
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThemePropertyDataBatchUpdateDto'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /themes/owner/{ownerId}:
    post:
      operationId: createThemeForOwner
      parameters:
      - name: ownerId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThemeCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemeDto'
      security:
      - bearerAuth: []
  /themes/properties:
    get:
      operationId: getThemeProperties
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ThemePropertyDto'
      security:
      - bearerAuth: []
    post:
      operationId: createThemeProperty
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThemePropertyCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemePropertyDto'
      security:
      - bearerAuth: []
  /themes/properties/{propertyId}:
    get:
      operationId: getThemePropertyById
      parameters:
      - name: propertyId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemePropertyDto'
      security:
      - bearerAuth: []
    put:
      operationId: updateThemeProperty
      parameters:
      - name: propertyId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThemePropertyUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemePropertyDto'
      security:
      - bearerAuth: []
    delete:
      operationId: deleteThemeProperty
      parameters:
      - name: propertyId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /themes/{id}:
    delete:
      operationId: deleteTheme
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /themes/{themeId}:
    get:
      operationId: getThemeById
      parameters:
      - name: themeId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemeDto'
      security:
      - bearerAuth: []
    put:
      operationId: updateTheme
      parameters:
      - name: themeId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ThemeUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemeDto'
      security:
      - bearerAuth: []
  /themes/{themeId}/customization/data:
    get:
      operationId: getThemeCustomizationData
      parameters:
      - name: themeId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ThemePropertyDataDto'
      security:
      - bearerAuth: []
  /themes/{themeId}/customization/{propertyId}:
    delete:
      operationId: deleteThemePropertyData
      parameters:
      - name: themeId
        in: path
        required: true
        schema:
          type: integer
          format: int64
      - name: propertyId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /users:
    get:
      operationId: getAllUsers
      parameters:
      - name: type
        in: query
        schema:
          type: string
          enum:
          - AUTHOR
          - CUSTOMER
          - ADMINISTRATOR
      - name: text
        in: query
        schema:
          type: string
      - name: minCreatedDate
        in: query
        description: 'Minimum user creation date, format: date-time ( yyyy-MM-ddTHH:mm:ss.SSSZ
          e.g. 2019-12-31T12:00:00.000Z )'
        schema:
          type: string
          format: date-time
      - name: maxCreatedDate
        in: query
        description: 'Maximum user creation date, format: date-time ( yyyy-MM-ddTHH:mm:ss.SSSZ
          e.g. 2019-12-31T12:00:00.000Z )'
        schema:
          type: string
          format: date-time
      - name: enabled
        in: query
        schema:
          type: boolean
      - name: customerId
        in: query
        schema:
          type: integer
          format: int32
      - name: page
        in: query
        description: Page number
        schema:
          type: integer
          format: int32
          default: 0
        example: 0
      - name: size
        in: query
        description: Number of elements per page
        schema:
          type: integer
          format: int32
          default: 20
      - name: sort
        in: query
        description: 'List of fields to be used for sorting, multiple allowed; example:
          sort=customerId:asc&sort=authorId:desc'
        schema:
          type: array
          items:
            pattern: ^\w+(:(asc|desc))?$
            type: string
            description: 'Contains property name and direction asc|desc (optional,
              asc by default) separated by : (colon); example: creationDate:asc or
              creationDate:desc'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoUserDto'
      security:
      - bearerAuth: []
    post:
      operationId: createUser
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserCreateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
      - bearerAuth: []
  /users/current:
    get:
      operationId: getCurrentUser
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
      - bearerAuth: []
    post:
      operationId: updateCurrentUser
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CurrentUserUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
      - bearerAuth: []
  /users/current/password:
    post:
      operationId: updateCurrentUserPassword
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
      - bearerAuth: []
  /users/current/properties:
    get:
      operationId: getCurrentUserProperties
      parameters: []
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPropertiesDto'
      security:
      - bearerAuth: []
  /users/{id}:
    get:
      operationId: getUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
      - bearerAuth: []
    post:
      operationId: updateUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserUpdateDto'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
      security:
      - bearerAuth: []
    delete:
      operationId: deleteUser
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            '*/*': {}
      security:
      - bearerAuth: []
  /users/{id}/basic/key:
    get:
      operationId: getBasicAuthKey
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            text/plain:
              schema:
                type: string
      security:
      - bearerAuth: []
  /users/{id}/long/token:
    get:
      operationId: getLongUserToken_1
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserTokenDto'
      security:
      - bearerAuth: []
  /users/{id}/token:
    get:
      operationId: getUserToken
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserTokenDto'
      security:
      - bearerAuth: []
  /users/{id}/token/disposable:
    get:
      operationId: getUserSingleTimeToken
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          format: int32
      - name: ttl
        in: query
        schema:
          type: integer
          format: int64
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserTokenDto'
      security:
      - bearerAuth: []
  /users/{userId}/properties:
    get:
      operationId: getUserProperties
      parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: integer
          format: int32
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPropertiesDto'
      security:
      - bearerAuth: []
components:
  schemas:
    AaaParams:
      type: object
      properties:
        username:
          type: string
        password:
          type: string
        roleString:
          type: string
        hash:
          type: string
        authFlag:
          type: string
    AlertCreateDto:
      required:
      - appliedEmails
      - appliedTriggers
      - ownerId
      type: object
      properties:
        ownerId:
          type: integer
          format: int32
        appliedTriggers:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/TriggerTemplateDto'
        appliedEmails:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/AlertEmailDto'
    AlertDto:
      type: object
      properties:
        ownerId:
          type: integer
          format: int32
        appliedEmails:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/AlertEmailDto'
        appliedTriggers:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/TriggerTemplateDto'
    AlertEmailDto:
      required:
      - type
      type: object
      properties:
        email:
          type: string
        type:
          type: string
          enum:
          - CUSTOMER
          - SYSTEM
    AlertUpdateDto:
      required:
      - ownerId
      type: object
      properties:
        ownerId:
          type: integer
          format: int32
        appliedTriggers:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/TriggerTemplateDto'
        appliedEmails:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/AlertEmailDto'
    AssignedRegistrationFormDto:
      type: object
      properties:
        form:
          $ref: '#/components/schemas/RegistrationFormDto'
        isCurrentlyAssigned:
          type: boolean
        hasUserData:
          type: boolean
    AttachmentDto:
      type: object
      properties:
        id:
          type: string
        type:
          type: integer
          format: int32
        title:
          type: string
        filename:
          type: string
    AuthSchemeDTO:
      type: object
      properties:
        id:
          type: integer
          format: int32
        hash:
          type: string
        username:
          type: string
        password:
          type: string
        inaccessible:
          type: boolean
        projectId:
          type: integer
          format: int32
        email:
          type: string
    AuthorsLicenseDto:
      type: object
      properties:
        userId:
          type: integer
          format: int32
        userName:
          type: string
        enabled:
          type: boolean
    BulkDeleteDto:
      type: object
      properties:
        projectIds:
          type: array
          items:
            type: integer
            format: int32
    BulkDeletedResult:
      type: object
      properties:
        notDeletedProjectsIds:
          uniqueItems: true
          type: array
          items:
            type: integer
            format: int32
    CD03:
      type: object
      properties:
        id:
          type: string
        type:
          type: integer
          format: int32
        title:
          type: string
        filename:
          type: string
    ChannelCreateDto:
      type: object
      properties:
        enabled:
          type: boolean
        title:
          maxLength: 255
          minLength: 1
          type: string
        description:
          type: string
    ChannelDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        enabled:
          type: boolean
        title:
          type: string
        description:
          type: string
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        ownerId:
          type: integer
          format: int32
        ownerLoginName:
          type: string
    ChannelUpdateDto:
      type: object
      properties:
        enabled:
          type: boolean
        title:
          maxLength: 255
          minLength: 1
          type: string
        description:
          type: string
    ChatMessage:
      type: object
      properties:
        userId:
          type: string
        userName:
          type: string
        userRole:
          type: string
        targetUserId:
          type: string
        messageId:
          type: string
        messageText:
          type: string
        state:
          type: string
        timestamp:
          type: integer
          format: int64
    ConfigurationDto:
      type: object
      properties:
        playerBaseUrl:
          type: string
        data:
          $ref: '#/components/schemas/DataConfigurationDto'
        projectMetadata:
          $ref: '#/components/schemas/PlayerDataDto'
    ContractCreateDto:
      required:
      - expireDate
      - ownerId
      - purchasedAmount
      - startDate
      - type
      type: object
      properties:
        title:
          maxLength: 255
          minLength: 3
          type: string
        description:
          type: string
        type:
          type: string
          enum:
          - VIEWING_HOURS
          - TRAFFIC
          - STORAGE
        key:
          type: string
        ownerId:
          type: integer
          format: int32
        purchasedAmount:
          type: number
          format: double
        startDate:
          type: string
          format: date-time
        expireDate:
          type: string
          format: date-time
    ContractDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        title:
          type: string
        description:
          type: string
        type:
          type: string
          enum:
          - VIEWING_HOURS
          - TRAFFIC
          - STORAGE
        key:
          type: string
        purchasedAmount:
          type: number
          format: double
        consumedAmount:
          type: number
          format: double
        enabled:
          type: boolean
        createDate:
          type: string
          format: date-time
        updateDate:
          type: string
          format: date-time
        startDate:
          type: string
          format: date-time
        expireDate:
          type: string
          format: date-time
    ContractUpdateDto:
      required:
      - contractId
      type: object
      properties:
        contractId:
          type: integer
          format: int64
        title:
          maxLength: 255
          minLength: 3
          type: string
        description:
          type: string
        type:
          type: string
          enum:
          - VIEWING_HOURS
          - TRAFFIC
          - STORAGE
        enabled:
          type: boolean
        key:
          type: string
        purchasedAmount:
          minimum: 0
          type: number
          format: double
        startDate:
          type: string
          format: date-time
        expireDate:
          type: string
          format: date-time
    ContractUserFilterDto:
      type: object
      properties:
        ownerIds:
          type: array
          items:
            type: integer
            format: int32
    ContractsDto:
      type: object
      properties:
        streamId:
          type: integer
          format: int64
        projectId:
          type: integer
          format: int32
        host:
          type: string
        startDate:
          type: integer
          format: int64
        stopDate:
          type: integer
          format: int64
        maxViewers:
          type: integer
          format: int32
        viewingHours:
          type: number
          format: double
    ContractsFilter:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        authorId:
          type: integer
          format: int32
        customerId:
          type: integer
          format: int32
        from:
          type: integer
          format: int64
        to:
          type: integer
          format: int64
    CountryDto:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        rank:
          type: integer
          format: int32
    CurrentUserUpdateDto:
      type: object
      properties:
        lastName:
          type: string
        firstName:
          type: string
        email:
          type: string
    Data:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        jobtitle:
          type: string
        lastName:
          type: string
        selected:
          type: boolean
        bio:
          type: string
        imagePath:
          type: string
        website:
          type: string
        email:
          type: string
        company:
          type: string
        dirty:
          type: boolean
        liveUrl:
          type: string
        firstName:
          type: string
    DataConfigurationDto:
      type: object
      properties:
        baseUrl:
          type: string
        registrationForm:
          $ref: '#/components/schemas/RegistrationForm'
        authentication:
          type: string
          enum:
          - NONE
          - SAME_LINK
          - SAME_LINK_AND_PASSWORD
          - INDIVIDUAL_LOGIN
          - INDIVIDUAL_LOGIN_AND_PASSWORD
          - SINGLE_ACCESS_TOKEN
          - MULTI_FACTOR_AUTHENTICATION
          - SINGLE_LOGIN_AND_PASSWORD
          - LDAP
          - SAML2
        live:
          $ref: '#/components/schemas/LiveConfigurationDto'
        embed:
          type: string
        version:
          $ref: '#/components/schemas/VersionConfigurationDto'
    DefaultProjectChannelDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
    DefaultSettingAudDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        timestamp:
          type: integer
          format: int64
        changedByUser:
          type: string
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        title:
          type: string
        description:
          type: string
        companyName:
          type: string
        keywords:
          type: string
        rating:
          type: string
        eventDate:
          type: string
          format: date-time
        eventHomepage:
          type: string
        eventLocation:
          type: string
        projectStatus:
          type: boolean
        rssChannel:
          type: boolean
        posterframeMediumWidth:
          type: integer
          format: int32
        posterframeMediumHeight:
          type: integer
          format: int32
        posterframeSmallWidth:
          type: integer
          format: int32
        posterframeSmallHeight:
          type: integer
          format: int32
        enableIntegratedAD:
          type: boolean
        prerollURL:
          type: string
        midrollURL:
          type: string
        postrollURL:
          type: string
        prerollType:
          type: string
        midrollType:
          type: string
        postrollType:
          type: string
        live:
          type: boolean
    DefaultSettingsDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        title:
          type: string
        description:
          type: string
        companyName:
          type: string
        keywords:
          type: string
        language:
          $ref: '#/components/schemas/LanguageDto'
        rating:
          type: string
        eventDate:
          type: string
          format: date-time
        eventHomepage:
          type: string
        eventLocation:
          type: string
        projectStatus:
          type: boolean
        rssChannel:
          type: boolean
        selectedChannels:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/DefaultProjectChannelDto'
        embedIFrame:
          type: string
        subtitlesDefault:
          $ref: '#/components/schemas/LanguageDto'
        subtitlesSelected:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/LanguageDto'
        posterframeMediumWidth:
          type: integer
          format: int32
        posterframeMediumHeight:
          type: integer
          format: int32
        posterframeSmallWidth:
          type: integer
          format: int32
        posterframeSmallHeight:
          type: integer
          format: int32
        enableIntegratedAD:
          type: boolean
        prerollURL:
          type: string
        midrollURL:
          type: string
        postrollURL:
          type: string
        prerollType:
          type: string
        midrollType:
          type: string
        postrollType:
          type: string
        live:
          type: boolean
        uploadVideoSource:
          type: boolean
        useAspectRatio:
          type: boolean
        useDeinterlacing:
          type: boolean
    EncoderSettingAudDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        timestamp:
          type: integer
          format: int64
        changedByUser:
          type: string
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        title:
          type: string
        qualityId:
          type: integer
          format: int32
        device:
          type: string
        rank:
          type: string
          format: byte
        frameRate:
          type: number
          format: double
        videoQuality:
          type: integer
          format: int32
        videoDimensionsWidth:
          type: integer
          format: int32
        videoDimensionsHeight:
          type: integer
          format: int32
        audioQuality:
          type: integer
          format: int32
        audioChannels:
          type: string
          format: byte
        audioRate:
          type: integer
          format: int32
        defaultCroppingLeft:
          type: integer
          format: int32
        defaultCroppingTop:
          type: integer
          format: int32
        defaultCroppingRight:
          type: integer
          format: int32
        defaultCroppingBottom:
          type: integer
          format: int32
        projectDefault:
          type: boolean
    EncoderSettingsDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        title:
          type: string
        qualityId:
          type: integer
          format: int32
        device:
          type: string
        rank:
          type: string
          format: byte
        frameRate:
          type: number
          format: double
        videoQuality:
          type: integer
          format: int32
        videoDimensionsWidth:
          type: integer
          format: int32
        videoDimensionsHeight:
          type: integer
          format: int32
        audioQuality:
          type: integer
          format: int32
        audioChannels:
          type: string
          format: byte
        audioRate:
          type: integer
          format: int32
        defaultCroppingLeft:
          type: integer
          format: int32
        defaultCroppingTop:
          type: integer
          format: int32
        defaultCroppingRight:
          type: integer
          format: int32
        defaultCroppingBottom:
          type: integer
          format: int32
        projectDefault:
          type: boolean
    EncodingStatusDto:
      type: object
      properties:
        state:
          type: string
          enum:
          - ERROR
          - QUEUED
          - SUCCESS
          - AVAILABLE
          - CANCELLED
          - INPROGRESS
        readyProgress:
          type: number
          format: double
        totalProgress:
          type: number
          format: double
    EventDto:
      type: object
      properties:
        eventId:
          type: integer
          format: int64
        dateStart:
          type: string
          format: date-time
        dateEnd:
          type: string
          format: date-time
        duration:
          type: integer
          format: int64
        billingDuration:
          type: integer
          format: int64
        concurrentUsersMax:
          type: integer
          format: int64
        minimalConcurrentUsersDefault:
          type: integer
          format: int64
        viewingHours:
          type: integer
          format: int64
        minimalDurationDefault:
          type: integer
          format: int64
        streamId:
          type: integer
          format: int64
        customerId:
          type: integer
          format: int64
        authorId:
          type: integer
          format: int64
        projectId:
          type: integer
          format: int64
        application:
          type: string
        smsHost:
          type: string
        liveServer:
          type: string
        quality:
          type: string
        streamUrl:
          type: string
        projectName:
          type: string
        authorName:
          type: string
        streamName:
          type: string
    EventFilterDto:
      type: object
      properties:
        eventIds:
          type: array
          items:
            type: integer
            format: int64
        streamIds:
          type: array
          items:
            type: integer
            format: int64
        eventDateFrom:
          type: string
        eventDateTo:
          type: string
        minimalDuration:
          type: integer
          format: int64
        minimalConcurrentUsers:
          type: integer
          format: int64
        customerIds:
          type: array
          items:
            type: integer
            format: int64
        authorIds:
          type: array
          items:
            type: integer
            format: int64
        projectIds:
          type: array
          items:
            type: integer
            format: int64
        qualities:
          type: array
          items:
            type: string
        smsHost:
          type: string
        streamStatuses:
          type: array
          items:
            type: string
            enum:
            - LIVE
            - OFFLINE
        dateFromStream:
          type: string
        dateToStream:
          type: string
    HttpHeaders:
      type: object
      properties:
        etag:
          type: string
        connection:
          type: array
          items:
            type: string
        allow:
          uniqueItems: true
          type: array
          items:
            type: string
            enum:
            - GET
            - HEAD
            - POST
            - PUT
            - PATCH
            - DELETE
            - OPTIONS
            - TRACE
        range:
          type: array
          items:
            $ref: '#/components/schemas/HttpRange'
        cacheControl:
          type: string
        acceptCharset:
          type: array
          items:
            type: object
            properties:
              registered:
                type: boolean
        accept:
          type: array
          items:
            $ref: '#/components/schemas/MediaType'
        expires:
          type: integer
          format: int64
        accessControlAllowOrigin:
          type: string
        accessControlExposeHeaders:
          type: array
          items:
            type: string
        accessControlMaxAge:
          type: integer
          format: int64
        accessControlRequestHeaders:
          type: array
          items:
            type: string
        accessControlRequestMethod:
          type: string
          enum:
          - GET
          - HEAD
          - POST
          - PUT
          - PATCH
          - DELETE
          - OPTIONS
          - TRACE
        ifMatch:
          type: array
          items:
            type: string
        ifNoneMatch:
          type: array
          items:
            type: string
        ifUnmodifiedSince:
          type: integer
          format: int64
        origin:
          type: string
        pragma:
          type: string
        upgrade:
          type: string
        vary:
          type: array
          items:
            type: string
        accessControlAllowCredentials:
          type: boolean
        accessControlAllowHeaders:
          type: array
          items:
            type: string
        accessControlAllowMethods:
          type: array
          items:
            type: string
            enum:
            - GET
            - HEAD
            - POST
            - PUT
            - PATCH
            - DELETE
            - OPTIONS
            - TRACE
        contentLength:
          type: integer
          format: int64
        lastModified:
          type: integer
          format: int64
        contentType:
          $ref: '#/components/schemas/MediaType'
        ifModifiedSince:
          type: integer
          format: int64
        date:
          type: integer
          format: int64
        location:
          type: string
          format: uri
        empty:
          type: boolean
        all:
          type: object
          additionalProperties:
            type: string
          writeOnly: true
      additionalProperties:
        type: array
        items:
          type: string
    HttpRange:
      type: object
    KeyValues:
      type: object
      properties:
        text:
          type: string
        language:
          type: string
    LanguageDto:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        rank:
          type: integer
          format: int32
    LicenseDto:
      type: object
      properties:
        userId:
          type: integer
          format: int32
        totalAvailableNumber:
          type: integer
          format: int32
        authors:
          type: array
          items:
            $ref: '#/components/schemas/AuthorsLicenseDto'
        licenseName:
          type: string
    LinkAttachmentDto:
      type: object
      properties:
        href:
          type: string
        title:
          type: string
    LiveConfigurationDto:
      type: object
      properties:
        hiveCallback:
          type: string
        streamProperties:
          $ref: '#/components/schemas/StreamProperties'
        playStreamName:
          type: string
    LoginAuditDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        loginName:
          type: string
        lastName:
          type: string
        firstName:
          type: string
        email:
          type: string
        company:
          type: string
        permissions:
          type: integer
          format: int32
        editProfilesEnabled:
          type: boolean
        changedByUser:
          type: string
        deleted:
          type: boolean
        timestamp:
          type: integer
          format: int64
    LoginDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        enabled:
          type: boolean
        loginName:
          type: string
        lastName:
          type: string
        firstName:
          type: string
        email:
          type: string
        company:
          type: string
        permissions:
          type: integer
          format: int32
    MediaType:
      type: object
      properties:
        type:
          type: string
        subtype:
          type: string
        parameters:
          type: object
          additionalProperties:
            type: string
        qualityValue:
          type: number
          format: double
        concrete:
          type: boolean
        wildcardType:
          type: boolean
        wildcardSubtype:
          type: boolean
        charSet:
          type: object
          properties:
            registered:
              type: boolean
        charset:
          type: object
          properties:
            registered:
              type: boolean
    MeetingCloseRequestDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        meetingId:
          type: string
    MeetingCreateRequestDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        topic:
          type: string
        startTime:
          type: string
          format: date-time
        duration:
          type: integer
          format: int32
        type:
          type: string
          enum:
          - standard
          - audiobridge
          - boardroom
          - classroom
        recorded:
          type: boolean
    MeetingDto:
      type: object
      properties:
        topic:
          type: string
        startTime:
          type: string
          format: date-time
        meetingId:
          type: string
        meetingLink:
          type: string
    MeetingProjectCreateDto:
      type: object
      properties:
        title:
          type: string
    MeetingProjectDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        title:
          type: string
        rtmpServerAddress:
          type: string
        rtmpStreamKey:
          type: string
        playerLink:
          type: string
        state:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
    ModeratorChatUserDto:
      type: object
      properties:
        userId:
          type: string
        userName:
          type: string
        userRole:
          type: string
    ModeratorChatUserResponseDto:
      type: object
      properties:
        total:
          type: integer
          format: int32
        userList:
          type: array
          items:
            $ref: '#/components/schemas/ModeratorChatUserDto'
    PL01:
      type: object
      properties:
        id:
          type: integer
          format: int32
        startPos:
          type: integer
          format: int32
        endPos:
          type: integer
          format: int32
        timerId:
          type: string
        data:
          $ref: '#/components/schemas/Data'
        timeline:
          type: array
          items:
            $ref: '#/components/schemas/Timeline'
        docUpdateBy:
          type: string
        docUpdateDate:
          type: integer
          format: int64
    PL02:
      type: object
      properties:
        startPos:
          type: integer
          format: int32
        endPos:
          type: integer
          format: int32
        timerId:
          type: string
        data:
          $ref: '#/components/schemas/Data'
    PL04:
      type: object
      properties:
        startPos:
          type: integer
          format: int32
        endPos:
          type: integer
          format: int32
        data:
          $ref: '#/components/schemas/Data'
    PL05:
      type: object
      properties:
        timerId:
          type: string
        startPos:
          type: integer
          format: int32
        endPos:
          type: integer
          format: int32
        data:
          $ref: '#/components/schemas/Data'
    PageDtoChannelDto:
      type: object
      properties:
        totalPages:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        number:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        numberOfElements:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/ChannelDto'
    PageDtoProjectLiteDto:
      type: object
      properties:
        totalPages:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        number:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        numberOfElements:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/ProjectLiteDto'
    PageDtoPublicChannelDto:
      type: object
      properties:
        totalPages:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        number:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        numberOfElements:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/PublicChannelDto'
    PageDtoSamlIdPDto:
      type: object
      properties:
        totalPages:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        number:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        numberOfElements:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/SamlIdPDto'
    PageDtoSamlUserDto:
      type: object
      properties:
        totalPages:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        number:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        numberOfElements:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/SamlUserDto'
    PageDtoUserDto:
      type: object
      properties:
        totalPages:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        number:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        numberOfElements:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/UserDto'
    PasswordUpdateDto:
      type: object
      properties:
        oldPassword:
          maxLength: 255
          minLength: 1
          type: string
        password:
          maxLength: 255
          minLength: 1
          type: string
    Player:
      type: object
      properties:
        allowAdv:
          type: boolean
        logo:
          type: string
        prerollType:
          type: string
        backgroundColor:
          type: string
        midrollType:
          type: string
        subtitlesAlign:
          type: string
        postrollType:
          type: string
        postrollURL:
          type: string
        allowCustomization:
          type: boolean
        midrollURL:
          type: string
        prerollURL:
          type: string
        themeColor:
          type: string
    PlayerCustomizationOption:
      type: object
      properties:
        id:
          type: integer
          format: int32
        value:
          type: string
    PlayerDataDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Data'
        pl01s:
          type: array
          items:
            $ref: '#/components/schemas/PL01'
        pl02s:
          type: array
          items:
            $ref: '#/components/schemas/PL02'
        cd03s:
          type: array
          items:
            $ref: '#/components/schemas/CD03'
        pl04s:
          type: array
          items:
            $ref: '#/components/schemas/PL04'
        pl05s:
          type: array
          items:
            $ref: '#/components/schemas/PL05'
        subtitles:
          type: array
          items:
            $ref: '#/components/schemas/Subtitles'
        player:
          $ref: '#/components/schemas/Player'
    PlayerDto:
      type: object
      properties:
        revisionAdditional:
          type: integer
          format: int32
        revisionVersion:
          type: integer
          format: int32
        minorVersion:
          type: integer
          format: int32
        majorVersion:
          type: integer
          format: int32
        description:
          type: string
        playerName:
          type: string
        playerId:
          type: string
        playerCustomization:
          type: string
          format: byte
        defaultPlayer:
          type: boolean
        ownerId:
          type: integer
          format: int32
        relativeUrl:
          type: string
        uniqueId:
          type: string
        logoUrl:
          type: string
        backgroundColor:
          type: integer
          format: int32
        highlightColor:
          type: integer
          format: int32
        subtitlesAlignment:
          type: string
          format: byte
        playerFolder:
          type: string
        playerFeatures:
          uniqueItems: true
          type: array
          items:
            type: string
    PlayerSettingAudDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        timestamp:
          type: integer
          format: int64
        changedByUser:
          type: string
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        playerUrl:
          type: string
        playerId:
          type: string
        customisationEnabled:
          type: boolean
        logoUrl:
          type: string
        controlHighlight:
          type: string
        background:
          type: string
        subtitlesAlign:
          type: string
    PlayerSettingsDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        playerUrl:
          type: string
        playerId:
          type: string
        customisationEnabled:
          type: boolean
        controlHighlight:
          type: string
        background:
          type: string
        subtitlesAlign:
          type: string
    PollActivationDto:
      type: object
      properties:
        pollId:
          type: integer
          format: int64
        streamChunkStartTime:
          type: integer
          format: int64
        streamOffsetMilliseconds:
          type: integer
          format: int64
    PollCreateDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        question:
          type: string
        answers:
          type: array
          items:
            type: string
        multiselect:
          type: boolean
        reset:
          type: boolean
    PollInvalidationDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        pollId:
          type: integer
          format: int64
    PollMessageDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        projectId:
          type: integer
          format: int32
        entryId:
          type: string
        question:
          type: string
        answers:
          type: array
          items:
            type: string
        results:
          type: array
          items:
            type: integer
            format: int32
        multiselect:
          type: boolean
        createTimestamp:
          type: string
          format: date-time
        updateTimestamp:
          type: string
          format: date-time
    PollResult:
      type: object
      properties:
        average:
          type: number
          format: float
        votes:
          type: integer
          format: int32
        lastVoteCast:
          type: integer
          format: int64
    PollUpdateDto:
      type: object
      properties:
        pollId:
          type: integer
          format: int64
        question:
          type: string
        answers:
          type: array
          items:
            type: string
        multiselect:
          type: boolean
    PosterFrameInfo:
      type: object
      properties:
        posterFrameName:
          type: string
        posterFrameType:
          type: string
          enum:
          - STATIC
          - DYNAMIC
          - UNKNOWN
    Presentation:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        xml:
          type: string
    PresentationConversionJobDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        presentationId:
          type: string
    PresentationSettingAudDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        timestamp:
          type: integer
          format: int64
        changedByUser:
          type: string
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        width:
          type: integer
          format: int32
        height:
          type: integer
          format: int32
    PresentationSettingsDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        useOriginalSize:
          type: boolean
        width:
          type: integer
          format: int32
        height:
          type: integer
          format: int32
    PresentationTimelineDto:
      type: object
      properties:
        startPos:
          type: number
          format: double
        data:
          $ref: '#/components/schemas/TimelineDataDto'
        endPos:
          type: number
          format: double
        timerId:
          type: string
    ProfileAudDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        timestamp:
          type: integer
          format: int64
        changedByUser:
          type: string
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        title:
          type: string
        description:
          type: string
        application:
          type: string
        ownerId:
          type: integer
          format: int32
    ProfileDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        ownerId:
          type: integer
          format: int32
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        enabled:
          type: boolean
        title:
          type: string
        description:
          type: string
        application:
          type: string
        encoderSettings:
          type: array
          items:
            $ref: '#/components/schemas/EncoderSettingsDto'
        playerSettings:
          $ref: '#/components/schemas/PlayerSettingsDto'
        defaultSettings:
          $ref: '#/components/schemas/DefaultSettingsDto'
        watchFolderSettings:
          $ref: '#/components/schemas/WatchFolderSettingsDto'
        youtubeSettings:
          $ref: '#/components/schemas/YoutubeSettingsDto'
        presentationSettings:
          $ref: '#/components/schemas/PresentationSettingsDto'
        themeId:
          type: integer
          format: int32
    ProfileLiteDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        ownerId:
          type: integer
          format: int32
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        enabled:
          type: boolean
        title:
          type: string
        description:
          type: string
        application:
          type: string
        embedIFrame:
          type: string
        themeId:
          type: integer
          format: int32
    ProjectAuditDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        title:
          type: string
        description:
          type: string
        state:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
        enabled:
          type: boolean
        lastUploadedVideoName:
          type: string
        authScheme:
          type: string
          enum:
          - NONE
          - SAME_LINK
          - SAME_LINK_AND_PASSWORD
          - INDIVIDUAL_LOGIN
          - INDIVIDUAL_LOGIN_AND_PASSWORD
          - SINGLE_ACCESS_TOKEN
          - MULTI_FACTOR_AUTHENTICATION
          - SINGLE_LOGIN_AND_PASSWORD
          - LDAP
          - SAML2
        changedByUser:
          type: string
        timestamp:
          type: integer
          format: int64
        deleted:
          type: boolean
        updatePosterFrameTime:
          type: string
          format: date-time
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
    ProjectAuthDto:
      type: object
      properties:
        username:
          type: string
        password:
          type: string
    ProjectAuthHashDto:
      type: object
      properties:
        hash:
          type: string
        authParameter:
          type: string
        contentUrl:
          type: string
        chatWallUrl:
          type: string
        isInaccessible:
          type: boolean
    ProjectControlDto:
      type: object
      properties:
        showChat:
          type: boolean
        showPoll:
          type: boolean
        showSlide:
          type: boolean
        showSpeaker:
          type: boolean
        showVideo:
          type: boolean
        chatModerated:
          type: boolean
        streamChunkStartTime:
          type: integer
          format: int64
    ProjectControlUpdateDto:
      type: object
      properties:
        showChat:
          type: boolean
        showPoll:
          type: boolean
        showSlide:
          type: boolean
        showSpeaker:
          type: boolean
        showVideo:
          type: boolean
        chatModerated:
          type: boolean
        streamChunkStartTime:
          type: integer
          format: int64
        streamOffsetMilliseconds:
          type: integer
          format: int64
    ProjectCreateDto:
      required:
      - enabled
      - isPublic
      type: object
      properties:
        title:
          maxLength: 255
          minLength: 1
          type: string
        description:
          type: string
        state:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
        authScheme:
          type: string
          enum:
          - NONE
          - SAME_LINK
          - SAME_LINK_AND_PASSWORD
          - INDIVIDUAL_LOGIN
          - INDIVIDUAL_LOGIN_AND_PASSWORD
          - SINGLE_ACCESS_TOKEN
          - MULTI_FACTOR_AUTHENTICATION
          - SINGLE_LOGIN_AND_PASSWORD
          - LDAP
          - SAML2
        eventDate:
          type: string
          format: date-time
        enabled:
          type: boolean
        isPublic:
          type: boolean
        publisher:
          maxLength: 8
          minLength: 1
          type: string
        details:
          type: string
    ProjectDomainDto:
      type: object
      properties:
        domain:
          type: string
        projectId:
          type: integer
          format: int32
    ProjectDto:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        duration:
          type: number
          format: double
        state:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
        authScheme:
          type: string
          enum:
          - NONE
          - SAME_LINK
          - SAME_LINK_AND_PASSWORD
          - INDIVIDUAL_LOGIN
          - INDIVIDUAL_LOGIN_AND_PASSWORD
          - SINGLE_ACCESS_TOKEN
          - MULTI_FACTOR_AUTHENTICATION
          - SINGLE_LOGIN_AND_PASSWORD
          - LDAP
          - SAML2
        userGroups:
          type: array
          items:
            type: string
        customerId:
          type: integer
          format: int32
        authorId:
          type: integer
          format: int32
        projectId:
          type: integer
          format: int32
        customerName:
          type: string
        customerCompany:
          type: string
        authorName:
          type: string
        authorCompany:
          type: string
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        deleted:
          type: boolean
        encodingStatus:
          $ref: '#/components/schemas/EncodingStatusDto'
        views:
          type: integer
          format: int64
        enabled:
          type: boolean
        published:
          type: boolean
        profileId:
          type: integer
          format: int32
        projectSize:
          type: integer
          format: int64
        manually:
          type: boolean
        posterFrameInfo:
          $ref: '#/components/schemas/PosterFrameInfo'
        dateFrom:
          type: string
          format: date-time
        dateTo:
          type: string
          format: date-time
        eventDate:
          type: string
          format: date-time
        keyWords:
          type: array
          items:
            type: string
        isPublic:
          type: boolean
        publisher:
          type: string
        externalId:
          type: string
        details:
          type: string
        lastUploadedVideoName:
          type: string
    ProjectFileDto:
      type: object
      properties:
        name:
          type: string
        size:
          type: integer
          format: int64
        timestamp:
          type: integer
          format: int64
    ProjectFileSlideDto:
      type: object
      properties:
        name:
          type: string
        size:
          type: integer
          format: int64
        timestamp:
          type: integer
          format: int64
        hidden:
          type: boolean
        slideNumber:
          type: integer
          format: int32
        presentationNumber:
          type: integer
          format: int64
    ProjectLiteDto:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        duration:
          type: number
          format: double
        state:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
        authScheme:
          type: string
          enum:
          - NONE
          - SAME_LINK
          - SAME_LINK_AND_PASSWORD
          - INDIVIDUAL_LOGIN
          - INDIVIDUAL_LOGIN_AND_PASSWORD
          - SINGLE_ACCESS_TOKEN
          - MULTI_FACTOR_AUTHENTICATION
          - SINGLE_LOGIN_AND_PASSWORD
          - LDAP
          - SAML2
        userGroups:
          type: array
          items:
            type: string
        customerId:
          type: integer
          format: int32
        authorId:
          type: integer
          format: int32
        projectId:
          type: integer
          format: int32
        customerName:
          type: string
        customerCompany:
          type: string
        authorName:
          type: string
        authorCompany:
          type: string
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        deleted:
          type: boolean
        encodingStatus:
          $ref: '#/components/schemas/EncodingStatusDto'
        views:
          type: integer
          format: int64
        enabled:
          type: boolean
        published:
          type: boolean
        profileId:
          type: integer
          format: int32
        projectSize:
          type: integer
          format: int64
        manually:
          type: boolean
        posterFrameInfo:
          $ref: '#/components/schemas/PosterFrameInfo'
    ProjectRegistrationFormDto:
      type: object
      properties:
        formId:
          type: integer
          format: int32
        projectId:
          type: integer
          format: int32
        title:
          type: string
    ProjectSrtStreamPropertiesDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        address:
          type: string
        filename:
          type: string
        enabled:
          type: boolean
    ProjectStateHistoDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        state:
          type: string
        date:
          type: string
    ProjectUpdateDto:
      type: object
      properties:
        title:
          maxLength: 255
          minLength: 1
          type: string
        description:
          type: string
        state:
          type: string
          enum:
          - ONDEMAND
          - PREVIEW
          - LIVE
          - POSTLIVE
          - DELETED
        authScheme:
          type: string
          enum:
          - NONE
          - SAME_LINK
          - SAME_LINK_AND_PASSWORD
          - INDIVIDUAL_LOGIN
          - INDIVIDUAL_LOGIN_AND_PASSWORD
          - SINGLE_ACCESS_TOKEN
          - MULTI_FACTOR_AUTHENTICATION
          - SINGLE_LOGIN_AND_PASSWORD
          - LDAP
          - SAML2
        publisher:
          type: string
        userGroups:
          type: array
          items:
            type: string
        dateFrom:
          type: string
          format: date-time
        dateTo:
          type: string
          format: date-time
        eventDate:
          type: string
          format: date-time
        keyWords:
          type: array
          items:
            type: string
        enabled:
          type: boolean
        isPublic:
          type: boolean
        manually:
          type: boolean
        details:
          type: string
        streamChunkStartTime:
          type: integer
          format: int64
        streamOffsetMilliseconds:
          type: integer
          format: int64
        lastUploadedVideoName:
          type: string
    PublicChannelDto:
      type: object
      properties:
        channelId:
          type: integer
          format: int32
        title:
          type: string
        description:
          type: string
        ownerId:
          type: integer
          format: int32
        ownerCompany:
          type: string
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        numberOfElements:
          type: integer
          format: int64
    PublicChannelIdDto:
      type: object
      properties:
        channelId:
          type: integer
          format: int32
    PublicProjectDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        title:
          type: string
        description:
          type: string
        type:
          type: integer
          format: int32
        state:
          type: string
        duration:
          type: number
          format: double
        authenticated:
          type: boolean
        views:
          type: integer
          format: int64
        keyWords:
          type: array
          items:
            type: string
        details:
          type: string
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        dateFrom:
          type: string
          format: date-time
        dateTo:
          type: string
          format: date-time
        eventUrl:
          type: string
        eventLocation:
          type: string
        eventDate:
          type: string
          format: date-time
        authorId:
          type: integer
          format: int32
        customerId:
          type: integer
          format: int32
        customerCompany:
          type: string
        deleted:
          type: boolean
        channels:
          type: array
          items:
            $ref: '#/components/schemas/PublicChannelIdDto'
    PublicProjectPageDtoPublicProjectDtoPublicChannelDto:
      type: object
      properties:
        totalPages:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        number:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        numberOfElements:
          type: integer
          format: int32
        projects:
          type: array
          items:
            $ref: '#/components/schemas/PublicProjectDto'
        channels:
          type: array
          items:
            $ref: '#/components/schemas/PublicChannelDto'
    Qualities:
      type: object
      properties:
        id:
          type: integer
          format: int32
        s:
          type: string
        b:
          type: integer
          format: int32
        r:
          type: integer
          format: int32
        ac:
          type: integer
          format: int32
        device:
          type: string
        ar:
          type: integer
          format: int32
        label:
          type: string
        ab:
          type: integer
          format: int32
    RangeString:
      type: object
      properties:
        from:
          type: string
        to:
          type: string
    RecordingStatusDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        ondemandId:
          type: array
          items:
            type: integer
            format: int32
        dateStart:
          type: string
        status:
          type: string
          enum:
          - STARTED
          - STOPPED
          - RECORDING
          - PAUSED
          - CONNECTING
          - STREAM_IS_NOT_STARTED
          - JWT_TOKEN_UPDATED
        dateStop:
          type: string
    RecordingTokenDto:
      required:
      - recordingToken
      type: object
      properties:
        recordingToken:
          type: string
    RegistrationForm:
      type: object
      properties:
        id:
          type: integer
          format: int32
        ownerId:
          type: integer
          format: int32
        name:
          type: string
        description:
          type: string
        disclaimer:
          type: string
        emailPageDescription:
          type: string
        registrationPageDescription:
          type: string
        submitButtonText:
          type: string
        fields:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/RegistrationFormField'
    RegistrationFormCsvJobCreateDto:
      required:
      - projectId
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        from:
          type: string
        to:
          type: string
        rangePresent:
          type: boolean
    RegistrationFormCsvJobDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        projectId:
          type: integer
          format: int32
        filename:
          type: string
    RegistrationFormDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        ownerId:
          type: integer
          format: int32
        name:
          type: string
        description:
          type: string
        disclaimer:
          type: string
        emailPageDescription:
          type: string
        registrationPageDescription:
          type: string
        submitButtonText:
          type: string
        fields:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/RegistrationFormFieldDto'
    RegistrationFormField:
      type: object
      properties:
        id:
          type: integer
          format: int32
        formId:
          type: integer
          format: int32
        name:
          type: string
        label:
          type: string
        type:
          type: string
          enum:
          - STRING
          - INTEGER
          - DOUBLE
          - BOOLEAN
        required:
          type: boolean
        ordinal:
          type: integer
          format: int32
    RegistrationFormFieldDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        formId:
          type: integer
          format: int32
        name:
          type: string
        label:
          type: string
        type:
          type: string
        ordinal:
          type: integer
          format: int32
        required:
          type: boolean
    RegistrationFormsAuditDto:
      type: object
      properties:
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        formId:
          type: integer
          format: int32
        ownerId:
          type: integer
          format: int32
        name:
          type: string
        description:
          type: string
        disclaimer:
          type: string
        emailPageDescription:
          type: string
        registrationPageDescription:
          type: string
        submitButtonText:
          type: string
        changedByUser:
          type: string
        timestamp:
          type: integer
          format: int64
    RegistrationFormsFieldsAuditDto:
      type: object
      properties:
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        formId:
          type: integer
          format: int32
        name:
          type: string
        label:
          type: string
        type:
          type: string
          enum:
          - STRING
          - INTEGER
          - DOUBLE
          - BOOLEAN
        required:
          type: boolean
        ordinal:
          type: integer
          format: int32
        changedByUser:
          type: string
        timestamp:
          type: integer
          format: int64
    RegistrationReportRequest:
      type: object
      properties:
        ranges:
          type: array
          items:
            $ref: '#/components/schemas/RangeString'
        templateValue:
          type: string
    ResponseEntityObject:
      type: object
      properties:
        headers:
          type: object
          properties:
            etag:
              type: string
            connection:
              type: array
              items:
                type: string
            allow:
              uniqueItems: true
              type: array
              items:
                type: string
                enum:
                - GET
                - HEAD
                - POST
                - PUT
                - PATCH
                - DELETE
                - OPTIONS
                - TRACE
            range:
              type: array
              items:
                $ref: '#/components/schemas/HttpRange'
            cacheControl:
              type: string
            acceptCharset:
              type: array
              items:
                type: object
                properties:
                  registered:
                    type: boolean
            accept:
              type: array
              items:
                $ref: '#/components/schemas/MediaType'
            expires:
              type: integer
              format: int64
            accessControlAllowOrigin:
              type: string
            accessControlExposeHeaders:
              type: array
              items:
                type: string
            accessControlMaxAge:
              type: integer
              format: int64
            accessControlRequestHeaders:
              type: array
              items:
                type: string
            accessControlRequestMethod:
              type: string
              enum:
              - GET
              - HEAD
              - POST
              - PUT
              - PATCH
              - DELETE
              - OPTIONS
              - TRACE
            ifMatch:
              type: array
              items:
                type: string
            ifNoneMatch:
              type: array
              items:
                type: string
            ifUnmodifiedSince:
              type: integer
              format: int64
            origin:
              type: string
            pragma:
              type: string
            upgrade:
              type: string
            vary:
              type: array
              items:
                type: string
            accessControlAllowCredentials:
              type: boolean
            accessControlAllowHeaders:
              type: array
              items:
                type: string
            accessControlAllowMethods:
              type: array
              items:
                type: string
                enum:
                - GET
                - HEAD
                - POST
                - PUT
                - PATCH
                - DELETE
                - OPTIONS
                - TRACE
            contentLength:
              type: integer
              format: int64
            lastModified:
              type: integer
              format: int64
            contentType:
              $ref: '#/components/schemas/MediaType'
            ifModifiedSince:
              type: integer
              format: int64
            date:
              type: integer
              format: int64
            location:
              type: string
              format: uri
            empty:
              type: boolean
            all:
              type: object
              additionalProperties:
                type: string
              writeOnly: true
          additionalProperties:
            type: array
            items:
              type: string
        body:
          type: object
        statusCode:
          type: string
          enum:
          - "100"
          - "101"
          - "102"
          - "103"
          - "200"
          - "201"
          - "202"
          - "203"
          - "204"
          - "205"
          - "206"
          - "207"
          - "208"
          - "226"
          - "300"
          - "301"
          - "302"
          - "302"
          - "303"
          - "304"
          - "305"
          - "307"
          - "308"
          - "400"
          - "401"
          - "402"
          - "403"
          - "404"
          - "405"
          - "406"
          - "407"
          - "408"
          - "409"
          - "410"
          - "411"
          - "412"
          - "413"
          - "413"
          - "414"
          - "414"
          - "415"
          - "416"
          - "417"
          - "418"
          - "419"
          - "420"
          - "421"
          - "422"
          - "423"
          - "424"
          - "426"
          - "428"
          - "429"
          - "431"
          - "451"
          - "500"
          - "501"
          - "502"
          - "503"
          - "504"
          - "505"
          - "506"
          - "507"
          - "508"
          - "509"
          - "510"
          - "511"
        statusCodeValue:
          type: integer
          format: int32
    RtmpStreamPropertiesDto:
      type: object
      properties:
        server:
          type: string
        application:
          type: string
        name:
          type: string
        doPublish:
          type: string
    SamlHostCreateDto:
      type: object
      properties:
        host:
          type: string
    SamlHostDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        host:
          type: string
    SamlIdPCreateDto:
      required:
      - customerId
      type: object
      properties:
        customerId:
          type: integer
          format: int32
        manifest:
          type: string
        usernameAttribute:
          type: string
        groupAttribute:
          type: string
    SamlIdPDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        customerName:
          type: string
        customerId:
          type: integer
          format: int32
        hosts:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/SamlHostDto'
        entityId:
          type: string
        usernameAttribute:
          type: string
        groupAttribute:
          type: string
    SamlIdPUpdateDto:
      type: object
      properties:
        hosts:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/SamlHostDto'
        entityId:
          type: string
        usernameAttribute:
          type: string
        groupAttribute:
          type: string
    SamlUserCreateDto:
      type: object
      properties:
        username:
          type: string
        idpAccountId:
          type: integer
          format: int64
    SamlUserDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        username:
          type: string
        authors:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/LoginDto'
        customerId:
          type: integer
          format: int32
        customerName:
          type: string
        samlIdpId:
          type: integer
          format: int64
        samlIdpHosts:
          uniqueItems: true
          type: array
          items:
            type: string
        samlIdpEntityId:
          type: string
    SelectedPresentationDto:
      type: object
      properties:
        presentation:
          $ref: '#/components/schemas/Presentation'
        selectedSlideName:
          type: string
    SelectedSlideDto:
      required:
      - projectId
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        presentationId:
          type: string
        slideId:
          type: string
        url:
          type: string
        timecode:
          type: integer
          format: int32
        streamChunkStartTime:
          type: integer
          format: int64
        streamOffsetMilliseconds:
          type: integer
          format: int64
    SharedSrtStreamAddress:
      type: object
      properties:
        address:
          type: string
        assignedProjectId:
          type: integer
          format: int32
    ShowPollsResultsDto:
      type: object
      properties:
        projectId:
          type: integer
          format: int32
        entryId:
          type: string
        streamChunkStartTime:
          type: integer
          format: int64
    SlideDto:
      type: object
      properties:
        id:
          type: string
        presentationId:
          type: string
        streamChunkStartTime:
          type: integer
          format: int64
        streamOffsetMilliseconds:
          type: integer
          format: int64
    SpeakerDto:
      type: object
      properties:
        id:
          type: string
        selected:
          type: boolean
        title:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        jobTitle:
          type: string
        company:
          type: string
        liveUrl:
          type: string
        imagePath:
          type: string
        streamChunkStartTime:
          type: integer
          format: int64
        streamOffsetMilliseconds:
          type: integer
          format: int64
    SpecialConfigurationDataAuditDto:
      type: object
      properties:
        ownerId:
          type: integer
          format: int32
        operation:
          type: string
          enum:
          - CREATE
          - MODIFY
          - DELETE
        property:
          $ref: '#/components/schemas/SpecialConfigurationPropertyDto'
        value:
          type: string
        changedByUser:
          type: string
        timestamp:
          type: integer
          format: int64
    SpecialConfigurationDataDto:
      type: object
      properties:
        propertyId:
          type: integer
          format: int32
        name:
          type: string
        label:
          type: string
        groupLabel:
          type: string
        value:
          type: string
        description:
          type: string
        readOnly:
          type: boolean
        type:
          type: string
          enum:
          - STRING
          - PASSWORD
          - INTEGER
          - SELECT
          - BOOLEAN
        options:
          type: array
          items:
            $ref: '#/components/schemas/SpecialConfigurationOptionDto'
    SpecialConfigurationOptionDto:
      type: object
      properties:
        value:
          type: string
        label:
          type: string
    SpecialConfigurationPropertyDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
        type:
          type: string
          enum:
          - STRING
          - PASSWORD
          - INTEGER
          - SELECT
          - BOOLEAN
        label:
          type: string
        groupLabel:
          type: string
        options:
          type: array
          items:
            $ref: '#/components/schemas/SpecialConfigurationOptionDto'
        description:
          type: string
    SpecialConfigurationUpdateDto:
      type: object
      properties:
        propertyId:
          type: integer
          format: int32
        value:
          type: string
    SrtStreamPropertiesDto:
      type: object
      properties:
        enabled:
          type: boolean
        address:
          type: string
    StreamMonitoringDto:
      type: object
      properties:
        streamId:
          type: integer
          format: int64
        customerId:
          type: integer
          format: int64
        authorId:
          type: integer
          format: int64
        projectId:
          type: integer
          format: int64
        application:
          type: string
        smsHost:
          type: string
        liveServer:
          type: string
        transcoding:
          type: string
        streamUrl:
          type: string
        projectName:
          type: string
        authorName:
          type: string
        duration:
          type: integer
          format: int64
        dateStart:
          type: string
          format: date-time
        dateEnd:
          type: string
          format: date-time
        concurrentUsersMax:
          type: integer
          format: int64
        billingDuration:
          type: integer
          format: int64
        viewingHours:
          type: integer
          format: int64
        streamName:
          type: string
    StreamMonitoringFilterDto:
      type: object
      properties:
        customerIds:
          type: array
          items:
            type: integer
            format: int64
        authorIds:
          type: array
          items:
            type: integer
            format: int64
        projectIds:
          type: array
          items:
            type: integer
            format: int64
        qualities:
          type: array
          items:
            type: string
        minDuration:
          type: integer
          format: int64
        smsHost:
          type: string
        mergeStreams:
          type: boolean
        streamStatuses:
          type: array
          items:
            type: string
            enum:
            - LIVE
            - OFFLINE
        dateFrom:
          type: string
        dateTo:
          type: string
    StreamProperties:
      type: object
      properties:
        server:
          type: string
        application:
          type: string
        name:
          type: string
        doConnect:
          type: string
        doPublish:
          type: string
        maxConcurrent:
          type: boolean
    StudioConfigDto:
      type: object
      properties:
        pollEnabled:
          type: boolean
        speakerEnabled:
          type: boolean
        presentationEnabled:
          type: boolean
        studioEnabled:
          type: boolean
        chatEnabled:
          type: boolean
        webrtcEnabled:
          type: boolean
        server:
          type: string
        application:
          type: string
    SubtitleCreateDto:
      type: object
      properties:
        languageId:
          type: string
        fileName:
          type: string
    SubtitleCueDto:
      type: object
      properties:
        id:
          type: string
        startTimeMillis:
          type: integer
          format: int64
        endTimeMillis:
          type: integer
          format: int64
        lines:
          type: array
          items:
            type: string
    SubtitleDescriptionDto:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
    SubtitleDto:
      type: object
      properties:
        subtitleCues:
          type: array
          items:
            $ref: '#/components/schemas/SubtitleCueDto'
        note:
          type: string
    Subtitles:
      type: object
      properties:
        title:
          type: string
        type:
          type: string
        id:
          type: string
    TemplateDTO:
      type: object
      properties:
        templates:
          type: array
          items:
            type: string
    ThemeCreateDto:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
    ThemeDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        title:
          type: string
        description:
          type: string
        owner:
          $ref: '#/components/schemas/UserLightDto'
        createDate:
          type: string
          format: date-time
        updateDate:
          type: string
          format: date-time
    ThemePropertyCreateDto:
      required:
      - type
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        type:
          type: string
          enum:
          - SELECT
          - STRING
          - INTEGER
          - BOOLEAN
        defaultValue:
          type: string
        options:
          type: array
          items:
            type: string
        groupName:
          type: string
    ThemePropertyDataBatchUpdateDto:
      required:
      - components
      - themeId
      type: object
      properties:
        themeId:
          type: integer
          format: int64
        components:
          type: array
          items:
            $ref: '#/components/schemas/ThemePropertyDataUpdateDto'
    ThemePropertyDataDto:
      type: object
      properties:
        themeId:
          type: integer
          format: int64
        property:
          $ref: '#/components/schemas/ThemePropertyDto'
        value:
          type: string
    ThemePropertyDataUpdateDto:
      required:
      - componentId
      - reset
      type: object
      properties:
        componentId:
          type: integer
          format: int32
        value:
          type: string
        reset:
          type: boolean
    ThemePropertyDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
        groupName:
          type: string
        description:
          type: string
        defaultValue:
          type: string
        type:
          type: string
          enum:
          - SELECT
          - STRING
          - INTEGER
          - BOOLEAN
        options:
          type: array
          items:
            $ref: '#/components/schemas/PlayerCustomizationOption'
    ThemePropertyUpdateDto:
      type: object
      properties:
        name:
          type: string
        groupName:
          type: string
        description:
          type: string
        defaultValue:
          type: string
        options:
          type: array
          items:
            type: string
    ThemeUpdateDto:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
    Timeline:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        startPos:
          type: integer
          format: int32
        endPos:
          type: integer
          format: int32
        isVideoEnabled:
          type: boolean
        isAudioEnabled:
          type: boolean
    TimelineDataDto:
      type: object
      properties:
        frames:
          type: integer
          format: int32
        title:
          type: string
        desc:
          type: string
        fixDuration:
          type: boolean
        thumb:
          type: string
        type:
          type: string
        frame:
          type: integer
          format: int32
        id:
          type: string
    TriggerTemplateDto:
      required:
      - activated
      - type
      type: object
      properties:
        template:
          type: string
        activated:
          type: boolean
        type:
          type: string
          enum:
          - PERCENT_100
          - PERCENT_95
          - PERCENT_80
          - EXPIRED
          - TWO_MONTH_BEFORE
    UploadAuthDTO:
      type: object
      properties:
        path:
          type: string
        byteArray:
          type: array
          items:
            type: string
            format: byte
        file:
          type: string
    UploadingStates:
      type: object
      properties:
        uploadFiles:
          type: array
          items:
            type: string
    UserChatMessageDto:
      type: object
      properties:
        Date Time of creation:
          type: string
          format: date-time
        Username:
          type: string
        Message text:
          type: string
        Message status:
          type: string
    UserChatSessionDto:
      type: object
      properties:
        Date Time of join:
          type: string
          format: date-time
        Date Time of leave:
          type: string
          format: date-time
        Session duration:
          type: string
        Username:
          type: string
    UserContractDto:
      type: object
      properties:
        ownerId:
          type: integer
          format: int32
        contractDtos:
          type: array
          items:
            $ref: '#/components/schemas/ContractDto'
    UserCreateDto:
      required:
      - enabled
      type: object
      properties:
        loginName:
          maxLength: 255
          minLength: 1
          type: string
        firstName:
          maxLength: 255
          minLength: 1
          type: string
        lastName:
          maxLength: 255
          minLength: 1
          type: string
        email:
          maxLength: 255
          minLength: 1
          type: string
        password:
          maxLength: 255
          minLength: 1
          type: string
        company:
          maxLength: 255
          minLength: 1
          type: string
        enabled:
          type: boolean
        customerId:
          type: integer
          format: int32
        editProfiles:
          type: boolean
        description:
          type: string
    UserCredentialsDto:
      type: object
      properties:
        username:
          type: string
        password:
          type: string
    UserDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        enabled:
          type: boolean
        loginName:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        company:
          type: string
        description:
          type: string
        editProfiles:
          type: boolean
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        customerId:
          type: integer
          format: int32
        customerName:
          type: string
        type:
          type: string
          enum:
          - AUTHOR
          - CUSTOMER
          - ADMINISTRATOR
    UserLightDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        firstName:
          type: string
        lastName:
          type: string
        company:
          type: string
        role:
          type: string
          enum:
          - AUTHOR
          - CUSTOMER
          - ADMINISTRATOR
    UserProfilesDto:
      type: object
      properties:
        profiles:
          type: array
          items:
            $ref: '#/components/schemas/ProfileDto'
        defaultProfileId:
          type: integer
          format: int32
    UserPropertiesDto:
      type: object
      properties:
        mode:
          type: string
          enum:
          - ONDEMAND
          - LIVE_ONDEMAND
        meetingIntegrationEnabled:
          type: boolean
        satEnabled:
          type: boolean
        samlEnabled:
          type: boolean
        billingEnabled:
          type: boolean
        editorEnabled:
          type: boolean
        samlGroups:
          uniqueItems: true
          type: array
          items:
            type: string
        pollEnabled:
          type: boolean
        speakerEnabled:
          type: boolean
        presentationEnabled:
          type: boolean
        studioEnabled:
          type: boolean
        chatEnabled:
          type: boolean
        webrtcEnabled:
          type: boolean
        server:
          type: string
        application:
          type: string
        onDemandCdnHost:
          type: string
    UserTokenDto:
      type: object
      properties:
        accessToken:
          type: string
        refreshToken:
          type: string
        tokenType:
          type: string
          enum:
          - Bearer
        expiresIn:
          type: integer
          format: int64
    UserUpdateDto:
      type: object
      properties:
        firstName:
          maxLength: 255
          minLength: 1
          type: string
        lastName:
          maxLength: 255
          minLength: 1
          type: string
        email:
          maxLength: 255
          minLength: 1
          type: string
        password:
          maxLength: 255
          minLength: 1
          type: string
        company:
          maxLength: 255
          minLength: 1
          type: string
        enabled:
          type: boolean
        editProfiles:
          type: boolean
        description:
          type: string
    VersionConfigurationDto:
      type: object
      properties:
        description:
          type: string
        majorVersion:
          type: integer
          format: int32
        minorVersion:
          type: integer
          format: int32
        playerCustomization:
          type: integer
          format: int32
        playerFeatures:
          type: array
          items:
            type: string
            enum:
            - NUBES_COMPATIBLE
            - FLASH
            - HTML5
            - ONDEMAND_VIDEO
            - CHANNEL_SUPPORTED
        playerId:
          type: string
        playerName:
          type: string
        relativeUrl:
          type: string
        revisionAdditional:
          type: integer
          format: int32
        uniqueId:
          type: string
    WatchFolderSettingsDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        deleteSource:
          type: boolean
        removeLocalProject:
          type: boolean
        location:
          type: string
        watchfolderEnabled:
          type: boolean
    WebRtcProjectStatusDto:
      type: object
      properties:
        enabled:
          type: boolean
    YoutubeSettingsDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        username:
          type: string
        password:
          type: string
        durationMm:
          type: string
          format: byte
        durationSs:
          type: string
          format: byte
        defaultLink:
          type: string
        privacy:
          type: string
          format: byte
        unlimited:
          type: boolean
        error:
          type: string
        code:
          type: string
        accessToken:
          type: string
        tokenType:
          type: string
        expiresIn:
          type: integer
          format: int64
        refreshToken:
          type: string
        recievedTime:
          type: integer
          format: int64
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
